Page MenuHomePhabricator

Fandom does not support several allusers properties
Closed, DeclinedPublic

Description

Fandom allusers does not support parameter editcount and groups and does not return their properties. And it seems userid is (re)named to id.

>>> s=pywikibot.Site('uk', 'wowwiki')
>>> s.mw_version
MediaWikiVersion ('1.19.24')
>>> gen = s.allusers(total=1)
>>> x = next(iter(gen))
WARNING: API warning (allusers): Unrecognized values for parameter 'auprop': editcount, groups
>>> x
{'name': '!', 'id': '21860', 'registration': '2020-03-19T12:12:27Z'}

See also https://api.travis-ci.org/v3/job/663162283/log.txt

The following tests are failing:

  • site_tests.TestSiteGenerators testMethod=test_allusers
  • site_tests.TestSiteGenerators testMethod=test_allusers_with_prefix
  • site_tests.TestSiteGenerators testMethod=test_allusers_with_start
  • site_tests.TestSiteGenerators testMethod=test_botusers

Related Objects

Event Timeline

Xqt created this task.Jan 20 2019, 3:28 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 20 2019, 3:28 PM
Xqt triaged this task as High priority.Jan 20 2019, 3:28 PM
Xqt added a comment.Jan 20 2019, 5:21 PM

Seems registration is available as auprops parameter only, see https://www.wikia.com/api.php
And there are are only name and id given back,
see https://www.wikia.com/api.php?action=query&list=allusers&aufrom=Z&format=jsonfm&auprops=rights|registration|editcount

How to proceed for this deviation of default mw version?

Change 487116 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] Skip some site_tests.TestSiteGenerators methods for wikia

https://gerrit.wikimedia.org/r/487116

Xqt moved this task from Backlog to Needs Review on the Pywikibot board.Feb 3 2019, 11:22 AM

Change 487116 merged by jenkins-bot:
[pywikibot/core@master] [tests] Skip some site_tests.TestSiteGenerators methods for wikia

https://gerrit.wikimedia.org/r/487116

Xqt lowered the priority of this task from High to Medium.Feb 3 2019, 8:14 PM
Xqt removed a project: Patch-For-Review.
Xqt moved this task from Priority review needed to Backlog on the Pywikibot board.Feb 7 2019, 3:47 PM

Change 503765 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [families] remove wikia family file

https://gerrit.wikimedia.org/r/503765

Xqt lowered the priority of this task from Medium to Low.Apr 21 2019, 3:43 PM
Xqt removed a project: Patch-For-Review.
Dvorapa renamed this task from wikia does not support several allusers properties to Fandom does not support several allusers properties.Mar 19 2020, 12:13 PM
Dvorapa updated the task description. (Show Details)

Change 587716 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Older wikis have 'id' key instead of 'userid'

https://gerrit.wikimedia.org/r/587716

Change 587716 abandoned by Xqt:
[bugfix] Older wikis have 'id' key instead of 'userid'

Reason:
see commets

https://gerrit.wikimedia.org/r/587716

Xqt closed this task as Declined.Apr 9 2020, 12:25 PM

https://gerrit.wikimedia.org/r/#/c/pywikibot/core/+/587716/:

"userid" was introduced in MW 1.17 and never was in MW < 1.17. It also never changed to "id". It seems Fandom changed this to their purposes
Fandom is not proper 1.19, it seems they run 1.11 with several parts updated to 1.19.
So it seems Wikia/Fandom added "id" manually before 1.17 and then forget to rename it when it become part of the core

I see. Then I propose to find another wiki with fine MW 1.19 and let fandom make their move to 1.33. I don't want to do terrible hacks to make private implementations to be run. It is too time consuming for us I guess.

Good idea!